Subscribe to RSS Subscribe to Comments

Gensokyo.org

SWRS English Patch v. 1.1a

The Hisoutensoku patch has been updated for compatibility with SWRS 1.10a, after the recent patch release by Tasofro; we’ve updated to patch a couple of bugs with the 1.1 translation patch. Minor fixes have been included; you can get a more complete list after the break.

To download the patch, click this link.

  – Updated for v1.10a.
– Fixed the clipping of the left side of some text.
– Fixed the BGM names in matches.
– Profile names now support SJIS correctly.
– Minor typo and alignment fixes.

v1.1a – released 2011/10/22
– Fixed music room crash.
– Fixed connection error crash.

Comments

  1. Lurker #14
    October 15th, 2011 | 10:56 am

    awwww…. and i thought it was ten desires patch :( anyway thanks i will re-play swrs 😉

  2. cyberNurgle
    October 15th, 2011 | 11:11 am

    Same here. I saw the words “Engish Patch” and i was 8D but then i saw SWRS and I was D8
    But still thanks for this guys.

  3. Neyen
    October 15th, 2011 | 11:13 am

    Oh sweet a new patch! Do the npcs use spellcards now?

  4. October 15th, 2011 | 11:54 am

    The Ten Desires patch is fairly close to release – don’t have a date for it just yet, but it shouldn’t be too much longer, hopefully.

  5. October 15th, 2011 | 12:01 pm

    Oh god dang it… I’m glad we have another patch for Hisoutensoku considering I for one like that game more than most of the main story games, but is the Ten Desires patch going to be on the fifteen-day mark? :c (Considering that Gensokyo.org usually posts only once every 13-17 days)

  6. cyberNurgle
    October 15th, 2011 | 1:50 pm

    @Yukari-sama
    Well that’s good to hear. you translation guys rock.

  7. ChaozCloud
    October 15th, 2011 | 5:05 pm

    If I have 1.10 english patch will I have to reinstall the game and then patch it to 1.10a and then add this patch or can I just patch it to 1.10a and then add this?
    Thanks for the help :)

  8. mauve
    October 15th, 2011 | 5:33 pm

    You can just patch over the existing installation, it’s not a problem.

  9. Zergem
    October 16th, 2011 | 2:13 am

    Hah, this is great, even if it isn’t Ten Desires yet. I love your guys’ support.

  10. Craziet
    October 16th, 2011 | 9:14 am

    Thank you! I look forward to the TD English patch.

  11. ChaozCloud
    October 17th, 2011 | 4:42 am

    Thanks for the answer but, I can’t get this to work :(
    I’ve installed the 1.10a patch from the official site and the japanese version of the game works fine. But when I try to play the translated version it tells me I need to download the 1.10a patch. I’ve tried reinstalling the patches but that doesn’t help. What should I do?

  12. ChaozCloud
    October 17th, 2011 | 4:45 am

    Nvm. Got it to work.
    Apparently the jp patch, patched into a subfolder. Moving everything from that into the main folder solved everything 😛
    Btw, what are the changes in the 1.10a?

  13. Trivial Man
    October 17th, 2011 | 6:22 pm

    Mine crashes when I try to use the music room in the English patched version, but not in the regular Japanese version. Anyone else have this problem?

  14. mauve
    October 17th, 2011 | 8:30 pm

    Trivial Man: … crap. That was even on my list of things to check before release.

    It works fine if you have everything unlocked, but bombs if you don’t. Looking up the problem shows that it’s a simple typo in the code. derprprp.

  15. mauve
    October 18th, 2011 | 11:03 am

    Yeah, found a couple bugs of this sort that really should have been caught before release. I’m an idiot.

    Will be an update sometime soon I guess? Within a few days. Going to see if anything else pops up.

  16. Iam1vs100xp
    October 19th, 2011 | 6:03 am

    Thank you very much

  17. mauve
    October 22nd, 2011 | 3:45 pm

    Yeah, updated. Sorry about the bugs guys.

  18. TheOtaku143110
    October 22nd, 2011 | 9:26 pm

    So Soku Lobby can work with this now?

  19. mauve
    October 22nd, 2011 | 9:48 pm

    I have nothing to do with the soku lobby, and he has never contacted us about it.

    So whether or not it works is up to the developer of that, not us.

  20. October 22nd, 2011 | 11:05 pm

    Gonna try not to hurt myself after realizing how excited I got.

    Anywho, I wish this didn’t take long. I forget, what time range after release are patches usually made?

  21. Crimson
    October 27th, 2011 | 12:11 pm

    There’s a new update patch for SWR. Why Tasofro is caring for these “old” games lately?
    This could be considered a hint about a new game?

  22. mauve
    October 27th, 2011 | 1:54 pm

    groan

    i really don’t want to revisit swr’s translation too

  23. Demmon Break Master
    October 29th, 2011 | 5:34 pm

    Hello.
    Today I am a little confused, I just installed the update and the patch.
    The fact is, that my translation is a bit out of position to see that you are loading the fonts of the original game and not yours, especially since I managed to put accents and ñ, now leave me in Japanese kanji, I have already proven the previous version without the English patch and I get the same thing, I think it is deve not read your letter fonts.

    I would greatly appreciate if someone could tell me if my suspicion is true or display some form of accents.

    Currently the method used “ña” for display.

    Greetings.

  24. Dairenki
    November 11th, 2011 | 8:55 am

    Is it just me or is there a bug that Youmu’s spellcard Empty Perception “6-root Cleansing” does not work?

  25. mauve
    November 11th, 2011 | 2:00 pm

    Dairenki: That’s a counterattack spellcard. They have to hit Youmu for it to activate. Works fine.

  26. Bakure
    February 14th, 2012 | 7:25 pm

    Is the download down for anyone else here or is it just me who can’t download it? Can’t seem to get my hands on the patch anywhere else, so is possible for the patch to be re-upped?

  27. Naakratal
    February 19th, 2012 | 5:46 am

    same problem here, i only get the message: ‘Sorry, no posts matched your criteria’ can anyone help me? ^_^ dont find it anywhere else …

  28. mauve
    February 28th, 2012 | 11:44 pm

    It’s back up.

  29. Yattayatta
    March 17th, 2012 | 4:39 pm

    I have tried very hard to make mine work. I have updated to 1.10a and used the English patch several times with different conditions, but it always crashes. I have one success yesterday, but then today it crashed again. What could I possibly be doing wrong? It crashes with AppLocale too! I’m using Windows Vista (64 bit).

  30. SuzumuKun
    July 20th, 2012 | 7:52 pm

    I need some help i donwloaded 1.10a Patch but when i try to load the english version it just wont freakin work i dont know whats wrong, could someone give me a step by step instruction on how to make it work

Leave a reply

Based on Fluidity Banner graphic by MARCH
Questions/comments/concerns/bugs can be reported to